# StandardNode

class xsdata.formats.dataclass.parsers.nodes.StandardNode(datatype, ns_map, nillable, derived_factory)

  XmlNode for any type elements with a standard xsi:type.

  Parameters:

    - datatype (`DataType`) – Standard xsi data type

    - ns_map (`Dict`) – Namespace prefix-URI map

    - nillable (`bool`) – Specify whether the node supports nillable content

    - derived_factory (`Optional`[`Type`]) – Optional derived element factory

  bind(qname, text, tail, objects)

    Build the object tree for the ending element and return whether the result was successful or not.

    This entry point is called when an xml element ends and is responsible to parse the current element attributes/text, bind any children objects and initialize new object.

    Parameters:

      - qname (`str`) – Qualified name

      - text (`Optional`[`str`]) – Text content

      - tail (`Optional`[`str`]) – Tail content

      - objects (`List`) – The list of intermediate parsed objects, eg [(qname, object)]

    Return type:

      `bool`

  child(qname, attrs, ns_map, position)

    Initialize the next child node to be queued, when a new xml element starts.

    This entry point is responsible to create the next node type with all the necessary information on how to bind the incoming input data.

    Parameters:

      - qname (`str`) – Qualified name

      - attrs (`Dict`) – Attribute key-value map

      - ns_map (`Dict`) – Namespace prefix-URI map

      - position (`int`) – The current objects position, to mark future objects as children

    Return type:

      `XmlNode`